Subject: Re: [rbridge] Comments on draft-ietf-trill-rbridge-af-02.txt

From: Donald Eastlake <[email-masked]>
Date: Sun, 8 May 2011 10:01:28 -0400

Hi Erik,

On Fri, Apr 29, 2011 at 6:07 PM, Erik Nordmark <[email-masked]> wrote:
> On 4/29/11 11:56 AM, Donald Eastlake wrote:
>
>>> The document mentions "trunk port", but neither it nor RFCtrill defines
>>> what that is. RFCtrill has some text about it in an appendix. Would it
>>> make sense to put a definition for it in section 1.1?
>>
>> I think it would make sense to add something in Section 1.1 like:
>>
>> A "trunk port" is a port configured with the "end station service
>> disable" bit on, as described in Section 4.9.1 of [RFCtrill].
>
> OK
>
>>> The item 2 in section 3 doesn't actually say how the DRB inhibition
>>> timer is set initially! It says how it is set when the RB believes it
>>> has become DRB. If the intent is to initially set it to the Holding time
>>> it would make sense to state that in item 1 e.g.,
>>>         All
>>>         inhibition timers are set to expired except the DRB inhibition
>>>         timer which is set to the Holding Time. The DRB
>>>         inhibition timer is handled differently because each port will
>>>         initially believe it is DRB.
>>
>> I don't actually see what's all that confusing in the current wording
>> but I'm fine with changiing to the wording you suggest and it may be
>> clearer.
>
> The current item 2 says
>      2. When an RBridge believes that it has become DRB on a link, ...
> which looks confusing. Based on item 1 I'd expect it to say something about
> the initial setting, but it looks like it only talks about the case when it
> becomes a DRB. It might be that it always becomes a DRB initially, but that
> is a bit too subtle.

OK. I'll work on improving the wording.

> I hope that explains my request for working it more explicitly.
>
>   Erik

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street
 Milford, MA 01757 USA
 [email-masked]

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge